#ifndef CUETRACKWIDGET_H
#define CUETRACKWIDGET_H

#include <QWidget>
#include <QTimeLine>

#include "defines.h"
#include "dialgroup.h"

namespace Ui {
class CueTrackWidget;
}

class CueTrackWidget : public QWidget
{
    Q_OBJECT

public:
    explicit CueTrackWidget(QWidget *parent = nullptr);
    ~CueTrackWidget();

private:
    Ui::CueTrackWidget *ui;
    QTimeLine tlFade;
    QTimeLine tlWaitIn;
    QTimeLine tlWaitOut;

public slots:
	void loadCueTrack(CueTrack* track);
    void go();
    void setNextCue();

private slots:
    void fadeSlot();
    void waitInSlot();
    void waitOutSlot();

signals:
    void cueFinished(int layer);
    void goAction(int layer);
	void NewFunction(CueTrack *track);
};

#endif // CUETRACKWIDGET_H
