#ifndef EDITCUETRACKWIDGET_H
#define EDITCUETRACKWIDGET_H

#include <QDialog>
#include <QLineEdit>
#include <QSpinBox>
#include <QCheckBox>
#include <QPushButton>
#include <QFormLayout>
#include <QDoubleSpinBox>
#include <QComboBox>

#include "settings.h"
#include "defines.h"

class EditCueTrackWidget : public QDialog
{
    Q_OBJECT
public:
    explicit EditCueTrackWidget(CueTrack *cueTrack, QWidget *parent = nullptr);
    CueTrack *cueTrack;
    void loadCueTrack(CueTrack cueTrack);
    CueTrack saveCueTrack();

private:
    void setupUi();
    void connectSignals();
    void onBrowseButtonClicked();
	void accept() override;

    QLineEdit *filePathEdit;
    QDoubleSpinBox *volumeSpin;
    QDoubleSpinBox *panSpin;
    QDoubleSpinBox *pitchSpin;
    QDoubleSpinBox *bus1Spin;
    QDoubleSpinBox *bus2Spin;
    QSpinBox *fadeInSpin;
    QSpinBox *fadeOutSpin;
    QSpinBox *waitInSpin;
    QSpinBox *waitOutSpin;
    QCheckBox *stopAtEndCheck;
    QLineEdit *nameEdit;
    QLineEdit *descriptionEdit;
    QSpinBox *userNumberSpin;
    QSpinBox *entryPointSpin;
    QSpinBox *exitPointSpin;
    QComboBox *statusCombo;
	QSpinBox *audioLayerSpin;
	QCheckBox *multiCheck;
    QPushButton *browseButton;
    QPushButton *saveButton;
    QPushButton *cancelButton;
};

#endif // EDITCUETRACKWIDGET_H
